body {
    background-color: #008F80;
    padding: 50px;
    overflow: hidden;
}

.desktop {
    height: calc(100vh - 28px);
    padding: 20px;

    display: grid;
    grid-template-columns: repeat(auto-fill, 75px);
    grid-template-rows: repeat(auto-fill, 75px);
    grid-auto-flow: column;
    gap: 20px;
}

.desktop-icon {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    cursor: pointer;
    width: 75px;
}

.desktop-icon img {
    width: 48px;
    height: 48px;
    image-rendering: pixelated;
    margin-bottom: 5px;
}

.desktop-icon model-viewer {
    width: 48px;
    height: 48px;
    margin-bottom: 5px;
}

.desktop-icon span {
    color:#ffffff;
    font-size: 11px;
    text-shadow: 1px 1px #000000;
    padding: 2px;
}

.desktop-icon:active span {
    background-color: #000080;
    outline: 1px dotted #ffffff;
}

.window {
    display: none;
    position: absolute;
    inset: 100px auto auto 100px;
    width: 300px;
    background-color: #c0c0a0;
    border: 2px solid;
    border-color: #ffffff #808080 #808080 #ffffff;
    box-shadow: 1px 1px 0 0 #000000, inset 1px 1px 0 0 #dfdfdf;
    z-index: 200;
}

.window-titlebar {
    background: linear-gradient(90deg, #000080, #1084d0);
    color: #ffffff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 3px 5px;
    cursor: grab;
}

.window-body {
    padding: 10px;
    font-size: 12px;
}

.window-body model-viewer {
    display: block;
    height: 500px;
    width: 100%;
    background-color: green;
}

.window.maximized {
    width: 75vw !important;
    height: 75vh !important;
    /* inset: 0 !important; */
}

.window-ghost {
    position: absolute;
    border: 1px dashed #000;
    pointer-events: none;
    z-index:  2000;
    outline: 1px dotted #fff;
    background-color: rgba(255, 255, 255, .1);
    transition: left .05s ease-out, top .05s ease-out;
}

.taskbar {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 28px;
    background-color: #c0c0a0;

    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2px;

    border-top: 2px solid #ffffff;
    box-sizing: border-box;
    z-index: 5000;
}

.task-button {
    height: 22px;
    min-width: 100px;
    background: #c0c0a0;
    font-size:  11px;
    display: flex;
    align-items: center;
    padding: 0 5px;
    gap: 5px;
    cursor: default;

    border: 1px solid;
    background: repeating-conic-gradient(#dfdfdf 0% 25%, #c0c0a0 0% 50%) 50% / 2px 2px;
    box-shadow: inset 1px 1px 0 #808080;
}

.task-button img {
    width: 16px;
    height: 16px;
}

.task-button.active {
    border-color: #000000 #ffffff #ffffff #000000;
    background-color: #a981f2;
    font-weight: bold;
}

#app-tray {
    display: flex;
    flex-direction: row;
    flex: 1;
    gap: 2px;
    margin: 0 5px;
    height: 100%;
    align-items: center;
    overflow: hidden;
}

.start-menu {
    display: none;
    position: absolute;
    bottom: 28px;
    left: 2px;
    width: 200px;
    background-color: #c0c0a0;
    border: 2px solid;
    border-color: #ffffff #808080 #808080 #ffffff;
    z-index: 100;
    flex-direction: row;
}

.start-menu.show {
    display: flex;
}

.sidebar {
    background: linear-gradient(to top, #000080, #1084d0);
    width: 25px;
    color: #ffffff;
    writing-mode: vertical-rl;
    transform: rotate(180deg);
    padding: 10px 5px;
    font-weight: bold;
}

.menu-items {
    list-style: none;
    margin: 0;
    padding: 5px;
    width: 100%;
}

.menu-items li {
    padding: 5px 10px;
    font-size: 13px;
    cursor: pointer;
}
.menu-items li:hover{
    background-color: #000080;
    color: #ffffff;
}

.menu-items img {
    width: 20px;
    height: 20px;
    image-rendering: pixelated;
}

.status-tray {
    height: 100%;
    padding: 0 10px;
    display: flex;
    align-items: center;
    font-family: "Comic Sans MS", "Comic Sans", cursive, sans-serif;
    font-size: 12px;

    border: 1px solid;
    border-color: #808080 #ffffff #ffffff #808080;
    background-color: #c0c0a0;
    margin-right: 2px;
}

.w98-button {
    background-color: #c0c0a0;
    font-family: "Comic Sans MS", "Comic Sans", cursive, sans-serif;
    font-size: 14px;
    padding: 4px 10px;
    border: 2px solid;
    border-color: #ffffff #808080 #808080 #ffffff;
    outline: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 5px;
}

.w98-button:active {
    border: 2px solid;
    border-color: #808080 #ffffff #ffffff #808080; /*top,right,bottom,left*/
    padding: 5px 9px 3px 11px;
}

.start-icon {
    width: 16px;
    height: 16px;
}

.bsod {
    position: fixed;
    inset: 0; width: 100%; height: 100%;
    background-color: #0000aa;
    color: #ffffff;
    font-family: "Lucida Console", Monaco, monospace;
    text-transform: uppercase;
    z-index: 9999;
    display: none;
    justify-content: center;
    padding-top: 10vh;
}

.bsod-content {
    max-width: 600px;
    font-size: 18px;
    line-height: 1.4;
}

.bsod-header {
    background-color: #aaaaaa;
    display: inline-block;
    padding: 0 10px;
    margin-bottom: 20px;
}

.bsod-instructions {
    list-style: none;
    padding: 0;
    margin: 20px 0;
}

.wait-cursor, .wait-cursor * {
    cursor: url('https://win98icons.alexmeub.com/icons/png/utopia_smiley.png'), wait !important;
}

.press-any-key {
    text-align: center;
    margin-top: 50px;
}

.press-any-key span {
    font-weight: bold;
    animation: blink 1s step-end infinite;
}

@keyframes blink {
    0%, 100% {opacity: 1;} 
    50% { opacity: 0; }
}